using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.Net;
using System.Net.Sockets;
using System.Threading;
using System.IO;

namespace Video_chat
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        Socket server_sock;
        void server()
        {
            server_sock = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);

            server_sock.Bind(new IPEndPoint(IPAddress.Any, 6000));
            server_sock.Listen(-1);

            while (true)
            {
                try
                {
                    Socket new_socket = server_sock.Accept();
                    NetworkStream ns = new NetworkStream(new_socket);



                    pictureBox2.Image = Image.FromStream(ns);
                    new_socket.Close();
                    ns.Close();
                }
                catch(Exception){}
            }

        }


        void send_my_camera(string IP, int Port,Image camera_image)
        {
            TcpClient tcp = new TcpClient(IP, Port);

            NetworkStream ns = tcp.GetStream();

            camera_image.Save(ns, System.Drawing.Imaging.ImageFormat.Jpeg);

            ns.Close();
            tcp.Close();


        }
        Thread th;
        private void Form1_Load(object sender, EventArgs e)
        {
            th = new Thread(new ThreadStart(server));
            th.Start();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            timer1.Enabled = true;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "JPEG | *.jpg";
            openFileDialog1.FileName = "";
            openFileDialog1.ShowDialog();
            if (openFileDialog1.FileName != "")
            {
                pictureBox1.Image = Image.FromFile(openFileDialog1.FileName);
                send_my_camera(textBox1.Text,6000,pictureBox1.Image);
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            timer1.Enabled = false;
            server_sock.Close();
            th.Abort();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            send_my_camera(textBox1.Text, 6000, pictureBox1.Image);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            timer1.Enabled = false;
        }
    }
}